CREATE TABLE public."販売履歴" (
    "商品名" character varying(64) NOT NULL,
    "価格" numeric DEFAULT 0 NOT NULL,
    "売上日時" timestamp without time zone DEFAULT now() NOT NULL,
    "売上月" character varying(6) NOT NULL
)
PARTITION BY LIST ("売上月");



CREATE TABLE public."販売履歴2" (
    "商品名" character varying(64) NOT NULL,
    "価格" numeric DEFAULT 0 NOT NULL,
    "売上日時" timestamp without time zone DEFAULT now() NOT NULL
)
PARTITION BY RANGE ("売上日時");

CREATE TABLE public."2018年10月RANGE" PARTITION OF public."販売履歴2"
FOR VALUES FROM ('2018-10-01 00:00:00') TO ('2018-10-31 23:59:59');



CREATE TABLE public."2018年6月" PARTITION OF public."販売履歴"
FOR VALUES IN ('20186');

CREATE TABLE public."2018年7月" PARTITION OF public."販売履歴"
FOR VALUES IN ('20187');

CREATE TABLE public."2018年8月" PARTITION OF public."販売履歴"
FOR VALUES IN ('20188');

CREATE TABLE public."2018年9月" PARTITION OF public."販売履歴"
FOR VALUES IN ('20189');

CREATE TABLE public."2018年10月" PARTITION OF public."販売履歴"
FOR VALUES IN ('201810');

CREATE TABLE public."売上" (
    id integer NOT NULL,
    "売上日時" timestamp without time zone DEFAULT now() NOT NULL,
    "商品名" character varying(64) NOT NULL,
    "価格" numeric DEFAULT 0 NOT NULL,
    "ジャンル" text NOT NULL
);

CREATE SEQUENCE public."売上_id_seq"
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public."売上_id_seq" OWNED BY public."売上".id;

ALTER TABLE ONLY public."2018年10月" ALTER COLUMN "価格" SET DEFAULT 0;

ALTER TABLE ONLY public."2018年10月" ALTER COLUMN "売上日時" SET DEFAULT now();

ALTER TABLE ONLY public."2018年10月RANGE" ALTER COLUMN "価格" SET DEFAULT 0;

ALTER TABLE ONLY public."2018年10月RANGE" ALTER COLUMN "売上日時" SET DEFAULT now();

ALTER TABLE ONLY public."2018年6月" ALTER COLUMN "価格" SET DEFAULT 0;

ALTER TABLE ONLY public."2018年6月" ALTER COLUMN "売上日時" SET DEFAULT now();

ALTER TABLE ONLY public."2018年7月" ALTER COLUMN "価格" SET DEFAULT 0;

ALTER TABLE ONLY public."2018年7月" ALTER COLUMN "売上日時" SET DEFAULT now();

ALTER TABLE ONLY public."2018年8月" ALTER COLUMN "価格" SET DEFAULT 0;

ALTER TABLE ONLY public."2018年8月" ALTER COLUMN "売上日時" SET DEFAULT now();

ALTER TABLE ONLY public."2018年9月" ALTER COLUMN "価格" SET DEFAULT 0;

ALTER TABLE ONLY public."2018年9月" ALTER COLUMN "売上日時" SET DEFAULT now();

ALTER TABLE ONLY public."売上" ALTER COLUMN id SET DEFAULT nextval('public."売上_id_seq"'::regclass);

ALTER TABLE ONLY public."売上"
    ADD CONSTRAINT "売上_pkey" PRIMARY KEY (id);
